#version 400 core

in vec2 position;
in vec2 textureCoords;
uniform vec2 size;

out vec2 pass_textureCoords;

uniform mat4 transform;

void main(void) {
    gl_Position = transform * vec4(position * size, 0.0, 1.0);
	pass_textureCoords = textureCoords;
}